Package org.h2.engine

# Enum Class Mode.ViewExpressionNames

java.lang.Object
java.lang.Enum<Mode.ViewExpressionNames>
org.h2.engine.Mode.ViewExpressionNames

All Implemented Interfaces:
  `Serializable`, `Comparable<Mode.ViewExpressionNames>`, `Constable`

Enclosing class:
  Mode

public static enum Mode.ViewExpressionNames extends Enum<Mode.ViewExpressionNames>
Generation of column names for expressions to be used in a view.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AS_IS`
Use both specified and generated names as is.
`EXCEPTION`
Throw exception for unspecified names.
`MYSQL_STYLE`
Use both specified and generated names as is, but replace too long generated names with `Name_exp_###`.

## Method Summary

Modifier and Type
Method
Description
`static Mode.ViewExpressionNames`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Mode.ViewExpressionNames[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### AS_IS

public static final Mode.ViewExpressionNames AS_IS
Use both specified and generated names as is.

### EXCEPTION

public static final Mode.ViewExpressionNames EXCEPTION
Throw exception for unspecified names.

### MYSQL_STYLE

public static final Mode.ViewExpressionNames MYSQL_STYLE
Use both specified and generated names as is, but replace too long generated names with `Name_exp_###`.

## Method Details

### values

public static Mode.ViewExpressionNames[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Mode.ViewExpressionNames valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null